function [x]=mysine(theta,nterms)
%[x]=mysine(theta,nterms)  returns the sine of 'theta' (radians) evaluated
%                 using 'n' (terms) of a McLaurin series
x=theta;
if nterms>1
   sig=1;
   for i=2:nterms
      sig=-1*sig;
      term=theta^(2*i-1)/factorl(2*i-1);
      x=x+sig*term;
   end
end

