function z = trapint(x, y)
% Trapezoidal integration of (x,y) data
% UNEQUALLY SPACED DATA
%
% USAGE:  z = trapint(x,y)
%
% input:   x = vector of x values
%          y = vector of y values
%
% output:  z = value of integral

n = length(x);

isum = 0;

for i = 1:n-1
  isum = isum + (y(i) + y(i+1))*(x(i+1) - x(i))/2;
end

z = isum;

