function q = trapzeq(y);
% Trapezoidal rule for integrating unit spaced data
%
% USAGE:  q = trapzeq(y)
%
%   input: y = function vector to be integrated
%
%  output: q = integral in the given region
%
% NOTE: If the x data spacing is not exactly 1, then the user
% must multiply the output by the data spacing h to obtain integral.
%         q = h*trapzeq(y)



n = length(y);

sums = y(1) + 2*sum(y(2:n-1)) + y(n);

q = sums / 2;
  
